//+------------------------------------------------------------------+
//|                                                 Ost-HL-Bands.mq4 |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Ostapjuk Nikolaj"
#property link      "middle@fxmail.ru"
//----
#property indicator_chart_window
#property indicator_buffers 6
#property indicator_color1 Maroon
#property indicator_color2 Magenta
#property indicator_color3 SlateBlue
#property indicator_color4 SlateBlue
#property indicator_color5 MediumSeaGreen
#property indicator_color6 MediumSeaGreen
//---- input parameters
extern int period=140;
extern int periodTwin=280;
extern int delta=30;
extern bool Signal=true;
datetime LastTime;
//---- buffers 
double BaseBuff[];
double BaseTwin[];
double UpBuffer[];
double DnBuffer[];
double upBuffer[];
double dnBuffer[];
//+------------------------------------------------------------------+ 
//| Custom indicator initialization function                         | 
//+------------------------------------------------------------------+ 
int init()
  {
//---- indicators 
   IndicatorDigits(Digits);
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,BaseBuff);
   SetIndexDrawBegin(0,period);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,BaseTwin);
   SetIndexDrawBegin(1,period);
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2,upBuffer);
   SetIndexDrawBegin(2,period);
   SetIndexStyle(3,DRAW_LINE);
   SetIndexBuffer(3,dnBuffer);
   SetIndexDrawBegin(3,period);
   SetIndexStyle(4,DRAW_LINE);
   SetIndexBuffer(4,UpBuffer);
   SetIndexDrawBegin(4,period);
   SetIndexStyle(5,DRAW_LINE);
   SetIndexBuffer(5,DnBuffer);
   SetIndexDrawBegin(5,period);
//---- 
   return(0);
  }

void Beep(double Level)
  { 
    if (Bid<=Level+delta*Point && Bid>=Level-delta*Point && Signal==true && LastTime!=Time[0])
    {
      PlaySound("news.wav");            
   //   Print( TimeToStr(Time[0],TIME_SECONDS));   
    }      
  }
//+------------------------------------------------------------------+ 
//| Custom indicator deinitialization function                       | 
//+------------------------------------------------------------------+ 
int deinit()
  {
   return(0);
  }
//+------------------------------------------------------------------+ 
//| Custom indicator iteration function                              | 
//+------------------------------------------------------------------+ 
int start()
  {
   if(LastTime == Time[0]) return(0);
   int    counted_bars=IndicatorCounted();
//---- 
   int limit,cnt;
   double high,highTwin,low,lowTwin;
   if (counted_bars==0)
     {
      limit=Bars-period;
   //   limit1=limit-period;
     }
   if (counted_bars>0)
     {
      limit=Bars-counted_bars;
     // limit1=limit;
     }
   limit--;
  // limit1--;
   for(cnt=limit; cnt>=0;cnt--)
     {
      high=High[iHighest(NULL,0,MODE_HIGH,period,cnt)];
      low=Low[iLowest(NULL,0,MODE_LOW,period,cnt)];
      highTwin=High[iHighest(NULL,0,MODE_HIGH,periodTwin,cnt)];
      lowTwin=Low[iLowest(NULL,0,MODE_LOW,periodTwin,cnt)];
      BaseBuff[cnt]=(high+low)/2.0;
      BaseTwin[cnt]=(highTwin+lowTwin)/2.0;
      upBuffer[cnt]=high;
      dnBuffer[cnt]=low;
      UpBuffer[cnt]=highTwin;
      DnBuffer[cnt]=lowTwin;
     }
//---- 
     Beep(UpBuffer[0]);
     Beep(DnBuffer[0]);
     Beep(upBuffer[0]);
     Beep(dnBuffer[0]);
    LastTime = Time[0];
   return(0);
  }
//+------------------------------------------------------------------+

